Package org.pushingpixels.substance.internal.utils

# Class SubstanceTitlePane.HeapStatusThread

java.lang.Object
java.lang.Thread
org.pushingpixels.lafwidget.utils.TrackableThread
org.pushingpixels.substance.internal.utils.SubstanceTitlePane.HeapStatusThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `SubstanceTitlePane`

public static class SubstanceTitlePane.HeapStatusThread extends org.pushingpixels.lafwidget.utils.TrackableThread
Thread for heap status panel.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Method Summary

Modifier and Type
Method
Description
`static SubstanceTitlePane.HeapStatusThread`
`getInstance()`
Gets singleton instance of `this` thread.
`static void`
`registerPanel(SubstanceTitlePane.HeapStatusPanel panel)`
Registers new heap status panel with `this` thread.
`protected void`
`requestStop()`
`void`
`run()`
`static void`
`unregisterPanel(SubstanceTitlePane.HeapStatusPanel panel)`
Unregisters new heap status panel from `this` thread.

### Methods inherited from class org.pushingpixels.lafwidget.utils.TrackableThread

`requestStopAllThreads`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getInstance

public static SubstanceTitlePane.HeapStatusThread getInstance()
Gets singleton instance of `this` thread.

Returns:
  Singleton instance of `this` thread.

### registerPanel

public static void registerPanel(SubstanceTitlePane.HeapStatusPanel panel)
Registers new heap status panel with `this` thread.

Parameters:
  `panel` - Heap statuc panel.

### unregisterPanel

public static void unregisterPanel(SubstanceTitlePane.HeapStatusPanel panel)
Unregisters new heap status panel from `this` thread.

Parameters:
  `panel` - Heap statuc panel.

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

### requestStop

protected void requestStop()

Specified by:
  `requestStop` in class `org.pushingpixels.lafwidget.utils.TrackableThread`